boolean buzzerEnabled = true;

void setup() {
   pinMode(A2, OUTPUT); // Buzzer Output
   digitalWrite(A2, LOW);
   pinMode(A3, OUTPUT); // Red Led - F.O. Level High
   digitalWrite(A3, LOW);
   pinMode(A4, OUTPUT); // Green Led - Power
   digitalWrite(A4, HIGH);
   pinMode(A5, OUTPUT); // Yellow Led F.O. Level Low
   digitalWrite(A5, LOW);
   pinMode(A0, INPUT_PULLUP); // F.O. Level Low Input
   pinMode(A1, INPUT_PULLUP); // F.O. Level High Input
   pinMode(11, INPUT_PULLUP); // Buzzer OFF Button
}

void loop() { 
      
// Reading input status

  boolean folow = digitalRead(A0);
  boolean fohigh = digitalRead(A1);
  boolean resetbutton = digitalRead(11);
   
  if (resetbutton && folow && fohigh && !buzzerEnabled) {buzzerEnabled = !buzzerEnabled;}    
        
  if (!resetbutton && (!folow or !fohigh)) {buzzerEnabled = !buzzerEnabled;}

//Alarm F.O. Level LOW
        digitalRead(A0);
      if (!folow) { 
        digitalWrite(A5, HIGH); 
      if (buzzerEnabled) {digitalWrite(A2, HIGH);} //Buzzer Alarm F.O. Level LOW
        delay (1000);
        digitalWrite(A5, LOW);
      if (buzzerEnabled) {digitalWrite(A2, LOW);} //Buzzer Alarm F.O. Level LOW
        delay (1000);
      }
       else {
        digitalWrite(A5, LOW);
        digitalWrite(A2, LOW); 
      }

//LED Alarm F.O. Level High
        digitalRead(A1);
       if (!fohigh) { 
        digitalWrite(A3, HIGH); 
       if (buzzerEnabled) {digitalWrite(A2, HIGH);} //Buzzer Alarm F.O. Level High
        delay (1000);
        digitalWrite(A3, LOW);
       if (buzzerEnabled) {digitalWrite(A2, LOW);} //Buzzer Alarm F.O. Level High
        delay (1000);
      }
       else {
        digitalWrite(A3, LOW); 
        digitalWrite(A2, LOW);
      }
}
